Get list of bookings

Auth: customer. Get a list of all bookings for the authenticated customer account which apply to the given filter.

Query Parameters
  • include
    Type: stringenum
    values
    • resource.parent.cover_image
    • resource.cover_image
    • service
    • order
    • booking_add_ons.add_on
    • sub_bookings.resource.parent
    • sub_bookings.service
    • cancellation_policy
  • filter[resources]
    Type: array

    Filter resource ids

  • filter[search]
    Type: string

    Any search query

  • filter[upcoming_only]
    Type: boolean

    Filter only upcoming bookings

  • filter[start_date]
    Type: stringFormat: date-time

    Filter start date

  • filter[end_date]
    Type: stringFormat: date-time

    Filter end date

  • filter[status]
    Type: string

    Filter booking status

  • filter[hide_blocker]
    Type: boolean
  • filter[email]
    Type: string

    Filter bookings for customer email

  • page[number]
    Type: string
  • page[size]
    Type: string
  • sort
    Type: string
Responses
  • application/vnd.api+json
  • application/vnd.api+json
Request Example for get/api/v1/bookings
curl 'https://b.anny.co/api/v1/bookings?include=resource.parent.cover_image&filter%5Bsearch%5D=&filter%5Bupcoming_only%5D=0&filter%5Bstart_date%5D=&filter%5Bend_date%5D=&filter%5Bstatus%5D=&filter%5Bhide_blocker%5D=1&filter%5Bemail%5D=&page%5Bnumber%5D=&page%5Bsize%5D=&sort=start_date'
{
  "data": [
    {
      "type": "bookings",
      "id": "3581903",
      "attributes": {
        "number": "BB81592797",
        "status": "accepted",
        "is_blocker": false,
        "start_date": "2021-09-29T10:15:00+00:00",
        "end_date": "2021-09-29T13:15:00+00:00",
        "blocker_start_date": "2021-09-29T10:00:00+00:00",
        "blocker_end_date": "2021-09-29T13:30:00+00:00",
        "description": "Florian Schmitt - Coaching: Effective Communication & Collaboration",
        "charged_duration": 180,
        "weight": 1,
        "currency": "EUR",
        "total": 249,
        "is_net_total": false,
        "code": "jqIxG0vb5k2asxHA",
        "subtotal": 199,
        "charged_total": 249,
        "charged_subtotal": 199,
        "starting_fee": 0,
        "customer_note": null,
        "created_at": "2021-09-22T10:06:11+00:00",
        "canceled_at": null,
        "check_in_date": null,
        "check_out_date": null,
        "custom_entry_map": {}
      },
      "links": {
        "self": "https://b.anny.co/api/v1/bookings/3581903"
      },
      "meta": []
    }
  ]
}